apiVersion: v1
kind: Service
metadata:
  name: {{ include "jollyroger.fullname" . }}
  labels:
    {{- include "jollyroger.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    app.kubernetes.io/name: {{ include "jollyroger.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
